function fn_calcular_imc() {
	var talla 	= ($('#txt_talla').val()=='')?0:$('#txt_talla').val();
	var peso 	= ($('#txt_peso').val()=='')?0:$('#txt_peso').val();
	talla 		= Number(talla);
	peso 		= Number(peso);
	imc 		= 0;
	if(peso>0&&talla>0)
		imc = (peso / (talla * talla));
	$('#txt_imc').val(imc.toFixed(2))
}

/**/

function fn_xhan_listar(op) {
	$('#histo').html('');
	$.post(ruta + 'movimientos/xan/listarh', {
		d1 	: $('#txt_xhc').val(),
		d2 	: op
	}, function (data) {
		$('#histo').html(data).modal({
			'keyboard':false
		});
	});
}

/**/

function fn_xan_pdiario_listar () {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: ruta + 'movimientos/xan/listar_pdiario',
				data 	: {
					fecha 		: $('#txt_fecha').val(),
					xco 		: $('#cbo_xco option:selected').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xan_pdiario_data_c').DataTable().destroy();
					$('#xan_pdiario_data_c tbody').html(data[0]);
					$('#xan_pdiario_data_c').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					$('#xan_pdiario_data_a').DataTable().destroy();
					$('#xan_pdiario_data_a tbody').html(data[1]);
					$('#xan_pdiario_data_a').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					swal.close();
				}
			});
		}
	});
}

function fn_xan_insertar() {
	mhtml = '';
	if($('#txt_peso').val()==0||$('#txt_peso').val()==''){
		mhtml 	= 'Peso requerido<br>';
		sel 	= $('#txt_peso');
	}
	if($('#txt_talla').val()==0||$('#txt_talla').val()==''){
		mhtml 	+= 'Talla requerida<br>';
		if(!sel) sel = $('#txt_talla');
	}
	if($('#txt_pabdominal').val()==0||$('#txt_pabdominal').val()==''){
		mhtml 	+= 'Perimetro Abdominañ requerido<br>';
		if(!sel) sel = $('#txt_pabdominal');
	}
	if($('#txt_anamnesis').val()==''){
		mhtml 	+= 'Anamnesis requerida<br>';
		if(!sel) sel = $('#txt_anamnesis');
	}
	if($('#txt_efisico').val()==''){
		mhtml 	+= 'Examen físico requerido<br>';
		if(!sel) sel = $('#txt_efisico');
	}
	/*if($('#xado_data').DataTable().count()==0){
		mhtml 	+= 'Debe seleccionar Diagnósticos<br>';
	}*/
	if(mhtml!=''){
		swal({
			type 	: 'warning',
			title 	: 'Alerta!',
			html 	: mhtml
		}).then(function () {
			sel.focus();
		});
		return;
	}
	swal({
		title 					: 'Alerta!',
		html 					: 'Desea grabar la atención?',
		type 					: 'question',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-trash"></span> <b>Si, Borrar!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				var str 	= $('#form_xan').serialize();
				$.ajax({
					url 	: ruta + 'movimientos/xan/insertar',
					data 	: str,
					type 	: 'post',
					dataType: 'json',
					success : function (data) {
						resolve();
					}
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal({
			title 	: 'Alerta!',
			html 	: 'Atención grabada correctamente.',
			type 	: 'success',
			confirmButtonText 		: '<span class="glyphicon glyphicon-ok"></span> <b>Aceptar</b>',
			confirmButtonClass 		: 'btn btn-primary',
			allowOutsideClick 		: false,
    		allowEscapeKey 			: false,
			buttonsStyling 			: false,
    	}).then(function () {
    		window.location = ruta + 'movimientos/xan/pdiario';
    	});
	});
}

function fn_xan_editar() {
	mhtml = '';
	if($('#txt_peso').val()==0||$('#txt_peso').val()==''){
		mhtml 	= 'Peso requerido<br>';
		sel 	= $('#txt_peso');
	}
	if($('#txt_talla').val()==0||$('#txt_talla').val()==''){
		mhtml 	+= 'Talla requerida<br>';
		if(!sel) sel = $('#txt_talla');
	}
	if($('#txt_pabdominal').val()==0||$('#txt_pabdominal').val()==''){
		mhtml 	+= 'Perimetro Abdominañ requerido<br>';
		if(!sel) sel = $('#txt_pabdominal');
	}
	if($('#txt_anamnesis').val()==''){
		mhtml 	+= 'Anamnesis requerida<br>';
		if(!sel) sel = $('#txt_anamnesis');
	}
	if($('#txt_efisico').val()==''){
		mhtml 	+= 'Examen físico requerido<br>';
		if(!sel) sel = $('#txt_efisico');
	}
	/*if($('#xado_data').DataTable().count()==0){
		mhtml 	+= 'Debe seleccionar Diagnósticos<br>';
	}*/
	if(mhtml!=''){
		swal({
			type 	: 'warning',
			title 	: 'Alerta!',
			html 	: mhtml
		}).then(function () {
			sel.focus();
		});
		return;
	}
	swal({
		title 					: 'Alerta!',
		html 					: 'Desea grabar los cambios?',
		type 					: 'question',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-trash"></span> <b>Si, Borrar!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				var str 	= $('#form_xan').serialize();
				$.ajax({
					url 	: ruta + 'movimientos/xan/editar',
					data 	: str,
					type 	: 'post',
					dataType: 'json',
					success : function (data) {
						resolve();
					}
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal({
			title 	: 'Alerta!',
			html 	: 'Cambios grabada correctamente.',
			type 	: 'success',
			confirmButtonText 		: '<span class="glyphicon glyphicon-ok"></span> <b>Aceptar</b>',
			confirmButtonClass 		: 'btn btn-primary',
			allowOutsideClick 		: false,
    		allowEscapeKey 			: false,
			buttonsStyling 			: false,
    	}).then(function () {
    		window.location = ruta + 'movimientos/xan/pdiario';
    	});
	});
}